org.apache.ode.dao.jpa

## Class MessageDAOImpl

- java.lang.Object
- - org.apache.ode.dao.jpa.MessageDAOImpl

- All Implemented Interfaces:
    MessageDAO

      @Entity
      public class MessageDAOImpl
      extends java.lang.Object
      implements MessageDAO

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DELETE_MESSAGES_BY_PROCESS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessageDAOImpl()`
    `MessageDAOImpl(javax.xml.namespace.QName type, MessageExchangeDAOImpl me)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.w3c.dom.Element` | `getData()`
    `org.w3c.dom.Element` | `getHeader()`
    `MessageExchangeDAO` | `getMessageExchange()`
    `javax.xml.namespace.QName` | `getType()`
    `void` | `setData(org.w3c.dom.Element value)`
    `void` | `setHeader(org.w3c.dom.Element value)`
    `void` | `setType(javax.xml.namespace.QName type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DELETE_MESSAGES_BY_PROCESS

          public static final java.lang.String DELETE_MESSAGES_BY_PROCESS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MessageDAOImpl

          public MessageDAOImpl()

    - #### MessageDAOImpl

          public MessageDAOImpl(javax.xml.namespace.QName type,
                                MessageExchangeDAOImpl me)

  - ### Method Detail

    - #### getData

          public org.w3c.dom.Element getData()

      Specified by:
        `getData` in interface `MessageDAO`

    - #### setData

          public void setData(org.w3c.dom.Element value)

      Specified by:
        `setData` in interface `MessageDAO`

    - #### getHeader

          public org.w3c.dom.Element getHeader()

      Specified by:
        `getHeader` in interface `MessageDAO`

    - #### setHeader

          public void setHeader(org.w3c.dom.Element value)

      Specified by:
        `setHeader` in interface `MessageDAO`

    - #### getMessageExchange

          public MessageExchangeDAO getMessageExchange()

      Specified by:
        `getMessageExchange` in interface `MessageDAO`

    - #### getType

          public javax.xml.namespace.QName getType()

      Specified by:
        `getType` in interface `MessageDAO`

    - #### setType

          public void setType(javax.xml.namespace.QName type)

      Specified by:
        `setType` in interface `MessageDAO`